al_build_transform(3)

NAME

al_build_transform - Allegro 5 API

SYNOPSIS

    #include <allegro5/allegro.h>
    void al_build_transform(ALLEGRO_TRANSFORM *trans, float x, float y,
       float sx, float sy, float theta)

DESCRIPTION

Builds a transformation given some parameters. This call is equivalent to calling the transformations in this order: make identity, rotate, scale, translate. This method is faster, however, than actually calling those functions.

Parameters:

•   trans - Transformation to alter

•   x, y - Translation

•   sx, sy - Scale

•   theta - Rotation angle in radians

    Note: this function was previously documented to be equivalent to a different (and more useful) order of operations: identity, scale, rotate, translate.

SEE ALSO

al_translate_transform(3), al_rotate_transform(3), al_scale_transform(3), al_compose_transform(3)